﻿using DocuSignAPI.APIService;


namespace EnvelopeCreatorProject.Models.Recipients
{
    internal class Intermediaries : RecipientType
    {
        internal Intermediaries(int totalCount) : base(totalCount) { }

        protected override void AddData(Recipient objRecipient)
        {
            _recipients.AppendLine("\"email\":\"" + objRecipient.Email + "\",");
            _recipients.AppendLine("\"name\":\"" + objRecipient.UserName + "\",");
            _recipients.AppendLine("\"inheritEmailNotificationConfiguration\":\"" + objRecipient.InheritEmailNotificationConfiguration + "\",");
            _recipients.AppendLine("\"canEditRecipientEmails\":\"" + objRecipient.AgentCanEditEmail + "\",");
            _recipients.AppendLine("\"canEditRecipientNames\":\"" + objRecipient.AgentCanEditName + "\",");
            AddRecipientCommonInfo(objRecipient);
        }

        internal override string GetRecipientsData()
        {
            return "\"intermediaries\":[" + base.GetRecipientsData() + "]";
        }
    }
}
